# https://github.com/golang/dep
%global goipath         github.com/golang/dep
%global gcommit         37d9ea0ac16f0e0a05afc3b60e1ac8c364b6c329

Version:        0.4.1

%gometa

Name:           dep
Release:        2%{?dist}
Summary:        Go dependency management tool
# Detected licences
# - BSD (3 clause) at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

# cmd/dep/root_analyzer.go
BuildRequires: golang(golang.org/x/sync/errgroup)

# cmd/dep/prune.go
# cmd/dep/init.go
# cmd/dep/hash_in.go
# cmd/dep/status.go
# cmd/dep/gopath_scanner.go
# cmd/dep/failures.go
# cmd/dep/ensure.go
BuildRequires: golang(github.com/pkg/errors)

# Remaining dependencies not included in main packages
BuildRequires: golang(github.com/sdboyer/constext)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(github.com/Masterminds/vcs)
BuildRequires: golang(github.com/jmank88/nuts)
BuildRequires: golang(github.com/go-yaml/yaml)
BuildRequires: golang(github.com/pelletier/go-toml)
BuildRequires: golang(github.com/Masterminds/semver)
BuildRequires: golang(github.com/nightlyone/lockfile)
BuildRequires: golang(github.com/armon/go-radix)

Conflicts: godep
Obsoletes: godep


%description
%{summary}

%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/Masterminds/semver)
BuildRequires: golang(github.com/Masterminds/vcs)
BuildRequires: golang(github.com/armon/go-radix)
BuildRequires: golang(github.com/boltdb/bolt)
BuildRequires: golang(github.com/go-yaml/yaml)
BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(github.com/jmank88/nuts)
BuildRequires: golang(github.com/nightlyone/lockfile)
BuildRequires: golang(github.com/pelletier/go-toml)
BuildRequires: golang(github.com/pkg/errors)
BuildRequires: golang(golang.org/x/sync/errgroup)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup -q

%build
%gobuildroot
%gobuild -o _bin/cmd/dep %{goipath}/cmd/dep
%gobuild -o _bin/gps %{goipath}/gps


%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 _bin/cmd/dep %{buildroot}%{_bindir}/dep
install -p -m 0755 _bin/gps %{buildroot}%{_bindir}/gps

%goinstall

%check
# Requires internet access
%gochecks -d . -d cmd/dep -d gps -t internal/importers

%files
%license LICENSE PATENTS
%doc README.md CONTRIBUTING.md AUTHORS CODE_OF_CONDUCT.md CHANGELOG.md CONTRIBUTORS MAINTAINERS.md
%{_bindir}/dep
%{_bindir}/gps

%files devel -f devel.file-list
%license LICENSE PATENTS
%doc README.md CONTRIBUTING.md AUTHORS CODE_OF_CONDUCT.md CHANGELOG.md CONTRIBUTORS MAINTAINERS.md

%changelog
* Wed Apr 11 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4.1-2
- Obsolete godep
  resolves: #1552568

* Tue Mar 20 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.4.1-1
- First package for Fedora
  resolves: #1559388
